Package com.dropbox.core.v2.paper
Class DocsListBuilder
java.lang.Object
com.dropbox.core.v2.paper.DocsListBuilder
The request builder returned by
DbxUserPaperRequests.docsListBuilder().
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withFilterBy(ListPaperDocsFilterBy filterBy) Set value for optional field.Set value for optional field.withSortBy(ListPaperDocsSortBy sortBy) Set value for optional field.withSortOrder(ListPaperDocsSortOrder sortOrder) Set value for optional field.withStopAtDate(Date stopAtDate) Set value for optional field.
-
Method Details
-
withFilterBy
Set value for optional field.If left unset or set to
null, defaults toListPaperDocsFilterBy.DOCS_ACCESSED.- Parameters:
filterBy- Allows user to specify how the Paper docs should be filtered. Must not benull. Defaults toListPaperDocsFilterBy.DOCS_ACCESSEDwhen set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withSortBy
Set value for optional field.If left unset or set to
null, defaults toListPaperDocsSortBy.ACCESSED.- Parameters:
sortBy- Allows user to specify how the Paper docs should be sorted. Must not benull. Defaults toListPaperDocsSortBy.ACCESSEDwhen set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withSortOrder
Set value for optional field.If left unset or set to
null, defaults toListPaperDocsSortOrder.ASCENDING.- Parameters:
sortOrder- Allows user to specify the sort order of the result. Must not benull. Defaults toListPaperDocsSortOrder.ASCENDINGwhen set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withLimit
Set value for optional field.If left unset or set to
null, defaults to1000.- Parameters:
limit- Size limit per batch. The maximum number of docs that can be retrieved per batch is 1000. Higher value results in invalid arguments error. Must be greater than or equal to 1 and be less than or equal to 1000. Defaults to1000when set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withStopAtDate
Set value for optional field.- Parameters:
stopAtDate- Do not return results beyond this date. Behavior depends on sort order.- Returns:
- this builder
-
start
Issues the request.- Throws:
DbxApiExceptionDbxException
-